# 守望者实验室威胁情报Feed系统
**守望者实验室威胁情报Feed系统数据查询和下载官方python客户端**

## 说明
* 本客户端旨在提供一种易于使用的数据查询和下载方式
> 代码示例:

```python
# 导入客户端
from feed import client


# 创建一个查询和下载Api对象
feed_client = client.Api()


# 快速查询，以字典的形式返回查询的结果
# 支持查询的数据类别: Ip, Domain, Url, Email, Hash-File, Hash-SSL 
# 查询限制: 限制每天查询的次数
query_result = feed_client.query(data="8.8.8.8")


# 高级查询，以字典的形式返回查询的结果
# 支持查询的数据类别: Ip, Domain, Url, Email, Hash-File, Hash-SSL 
# 查询限制: 相比快速查询具有更宽泛的查询次数但是需要在我们的系统上注册一个账户并使用自动分配给该账户的特征码
query_advanced_result = feed_client.query_advanced(token="YourToken",data="8.8.8.8")


# 高级下载，将每日构建的威胁情报数据文件下载至指定的目录
# 返回服务器上指定时间的数据文件总数以及成功下载到的数据文件总数
# 参数date设置下载哪天的数据文件，1为昨天（最新的）2为前天，以此类推
# 我们的数据库中有三十六种威胁情报的数据分类，例如：ip_c2, ip_tor等等，但并为每天的数据文件都包含全部的数据种类
# 通过该方法成功下载的数据文件的名称可以获悉下载到的数据种类，或者可以通过调用download_list()方法来获得数据种类的列表
# 下载限制：需要在我们的系统上注册一个账户并使用自动分配给该账户的特征码
data_count, down_count = feed_client.download_advanced(token="YourToken",pathname="./",date=1)

```
